Skip to main content
GET
What a vendor supplies — their part number, price, lead time and minimum order, with what we

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
vendor_id
string
part_id
string
part_number
string
part_name
string
part_is_active
string
supplier_part_number
string
is_preferred
string
unit_price
string
unit_price_currency_id
string
lead_time_days
string
minimum_order_quantity
string
order_multiple
string
last_purchased_on
string
is_active
string
on_hand_quantity
string
available_quantity
string
reorder_point
string
at_or_below_reorder_point
string
row_version
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

at_or_below_reorder_point
boolean<boolean>
available_quantity
number<numeric>
id
string<uuid>

Note: This is a Primary Key.

is_active
boolean<boolean>
is_preferred
boolean<boolean>
last_purchased_on
string<date>
lead_time_days
integer<integer>
minimum_order_quantity
number<numeric>
on_hand_quantity
number<numeric>
order_multiple
number<numeric>
part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

part_is_active
boolean<boolean>
part_name
string<character varying>
Maximum string length: 250
part_number
string<character varying>
Maximum string length: 80
reorder_point
number<numeric>
row_version
integer<bigint>
supplier_part_number
string<character varying>
Maximum string length: 120
unit_price
number<numeric>
unit_price_currency_id
string<uuid>

Note: This is a Foreign Key to asset_cost_to_keep.currency_id.

vendor_id
string<uuid>

Note: This is a Foreign Key to assignable_vendors.id.